Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Schedule_All_Threaded_Strategy Class Template Reference

Defines the interface for specifying how to suspend and resume a multithreaded service . More...

`#include <Strategies_T.h>`

Inheritance diagram for ACE_Schedule_All_Threaded_Strategy

[legend]
Collaboration diagram for ACE_Schedule_All_Threaded_Strategy:

[legend]
List of all members.

## Public Methods
| ACE_Schedule_All_Threaded_Strategy (SVC_HANDLER * = 0)
| Constructor.
virtual int | suspend (void)
| Suspend hook.
virtual int | resume (void)
| Resume hook.
virtual void | dump (void) const
| Dump the state of the object.
## Protected Attributes
ACE_Thread_Manager* | thr_mgr_
| Thread Manager.

## Detailed Description

### template<class SVC_HANDLER> template class ACE_Schedule_All_Threaded_Strategy

Defines the interface for specifying how to suspend and resume a multithreaded service .

This class provides a strategy that suspends and resumes all the Event_Handlers controlled by a Thread_Manager in one fell swoop.

## Constructor & Destructor Documentation

template<classSVC_HANDLER>
ASYS_INLINE ACE_Schedule_All_Threaded_Strategy< SVC_HANDLER >::ACE_Schedule_All_Threaded_Strategy<SVC_HANDLER> ( | SVC_HANDLER * scheduler = 0 )

| Constructor.

## Member Function Documentation

template<classSVC_HANDLER>
void ACE_Schedule_All_Threaded_Strategy<SVC_HANDLER>::dump ( | void ) const`[virtual]`

| Dump the state of the object. Reimplemented from ACE_Scheduling_Strategy.

template<classSVC_HANDLER>
ASYS_INLINE int ACE_Schedule_All_Threaded_Strategy< SVC_HANDLER >::resume ( | void )`[virtual]`

| Resume hook. Reimplemented from ACE_Scheduling_Strategy.

template<classSVC_HANDLER>
ASYS_INLINE int ACE_Schedule_All_Threaded_Strategy< SVC_HANDLER >::suspend ( | void )`[virtual]`

| Suspend hook. Reimplemented from ACE_Scheduling_Strategy.

## Member Data Documentation

template<classSVC_HANDLER>
ACE_Thread_Manager * ACE_Schedule_All_Threaded_Strategy<SVC_HANDLER>::thr_mgr_`[protected]`

| Thread Manager.

The documentation for this class was generated from the following files:

- Strategies_T.h
- Strategies_T.cpp
- Strategies_T.i